# <expandproperties>

Parses NAnt properties and expressions

This filter parses any NAnt properties or expressions found in its input, inlining their values in its output.

Note: Due to limitations on buffering, expressions longer than 2048 characters are not guaranteed to be expanded.

Filters are intended to be used as a element of a <filterchain>.

### Parameters

Attribute | Type | Description | Required
--- | --- | --- | ---
if | bool | If true then the filter will be used; otherwise, skipped. The default is true. | False
unless | bool | Opposite of `if`. If false then the filter will be executed; otherwise, skipped. The default is false. | False

### Examples

- Replace all properties with their corresponding values.

      <expandproperties />

### Requirements

Assembly: NAnt.Core (0.90.3780.0)